set terminal postscript enhanced color eps

set style data lines
set style line 1  linetype  2 linewidth 3 lc rgb "#0000AA"
set style line 2  linetype -1 linewidth 3 lc rgb "#0000AA"
set style line 3  linetype  2 linewidth 3 lc rgb "#AA0000"
set style line 4  linetype -1 linewidth 3 lc rgb "#AA0000"
set style line 5  linetype  2 linewidth 3 lc rgb "#00AA00"
set style line 6  linetype -1 linewidth 3 lc rgb "#00AA00"
set style line 7  linetype  2 linewidth 3 lc rgb "#000000"
set style line 8  linetype -1 linewidth 3 lc rgb "#000000"
set style increment user

set size 0.75,0.75
#set size ratio 0.66
set border lw 2

set key top left Left reverse
set grid
set ylabel "Time (sec)"
set logscale y
set yrange [0.001:100]

#######

set output "jit-overhead.eps"
set title "OpenCL JIT Overhead for 64 Simple Kernels"
set ylabel "Time (sec)"
set xlabel "Programs x Kernels"
plot 'amd-cpu.txt'           using 3:xtic(4) with linesp ls 4 pt  5 ps 1.5 title "AMD APP SDK 3.0, CPU", \
     'amd-gpu.txt'           using 3:xtic(4) with linesp ls 3 pt  5 ps 1.5 title "AMD fglrx 14.301.1019, GPU", \
     'intel-cpu.txt'         using 3:xtic(4) with linesp ls 2 pt  7 ps 1.5 title "INTEL OpenCL SDK 14.2, CPU", \
     'nvidia-gpu.txt'        using 3:xtic(4) with linesp ls 6 pt  9 ps 2   title "NVIDIA CUDA 7, GPU" , \
     'nvidia-gpu-cached.txt' using 3:xtic(4) with linesp ls 5 pt  9 ps 2   title "NVIDIA CUDA 7, GPU, cached"
     


